<?php
// +----------------------------------------------------------------------
// | likeshop开源商城系统
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | gitee下载：https://gitee.com/likeshop_gitee
// | github下载：https://github.com/likeshop-github
// | 访问官网：https://www.likeshop.cn
// | 访问社区：https://home.likeshop.cn
// | 访问手册：http://doc.likeshop.cn
// | 微信公众号：likeshop技术社区
// | likeshop系列产品在gitee、github等公开渠道开源版本可免费商用，未经许可不能去除前后端官方版权标识
// |  likeshop系列产品收费版本务必购买商业授权，购买去版权授权后，方可去除前后端官方版权标识
// | 禁止对系统程序代码以任何目的，任何形式的再发布
// | likeshop团队版权所有并拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeshop.cn.team
// +----------------------------------------------------------------------


namespace app\admin\controller;

use app\common\basics\AdminBase;
use app\common\server\JsonServer;
use app\admin\logic\StatisticsLogic;

/**
 * 数据统计
 * Class Statistics
 * @package app\admin\controller
 */
class Statistics extends AdminBase
{

    //访问分析
    public function visit()
    {
        if($this->request->isAjax()){
            $post = $this->request->post();
            $res = StatisticsLogic::visit($post);
            return JsonServer::success('',$res);
        }
        return view();
    }

    //交易分析
    public function trading()
    {
        if($this->request->isAjax()){
            $post = $this->request->post();
            $res = StatisticsLogic::trading($post);
            return JsonServer::success('',$res);
        }
        return view();
    }
    
    
    //会员分析
    public function member()
    {
        if($this->request->isAjax()){
            $post = $this->request->post();
            $res = StatisticsLogic::member($post);
            return JsonServer::success('',$res);
        }
        return view();
    }


    //商家分析
    public function shop()
    {
        if($this->request->isAjax()){
            $get= $this->request->get();
            $res = StatisticsLogic::shop($get);
            return JsonServer::success('',$res);
        }
        return view();
    }


    //商品分析
    public function goods()
    {
        if($this->request->isAjax()){
            $get= $this->request->get();
            $res = StatisticsLogic::goods($get);
            return JsonServer::success('',$res);
        }
        return view();
    }

}