<?php
// +----------------------------------------------------------------------
// | likeshop开源商城系统
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | gitee下载：https://gitee.com/likeshop_gitee
// | github下载：https://github.com/likeshop-github
// | 访问官网：https://www.likeshop.cn
// | 访问社区：https://home.likeshop.cn
// | 访问手册：http://doc.likeshop.cn
// | 微信公众号：likeshop技术社区
// | likeshop系列产品在gitee、github等公开渠道开源版本可免费商用，未经许可不能去除前后端官方版权标识
// |  likeshop系列产品收费版本务必购买商业授权，购买去版权授权后，方可去除前后端官方版权标识
// | 禁止对系统程序代码以任何目的，任何形式的再发布
// | likeshop团队版权所有并拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeshop.cn.team
// +----------------------------------------------------------------------

namespace app\admin\controller\finance;


use app\admin\logic\finance\IntegralLogic;
use app\common\basics\AdminBase;
use app\common\server\JsonServer;

class Integral extends AdminBase
{
    /**
     * @notes 积分明细
     * @return \think\response\Json|\think\response\View
     * @author ljj
     * @date 2022/2/22 6:00 下午
     */
    public function integral()
    {
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $data = IntegralLogic::integral($get);
            return JsonServer::success('', $data, 1);
        }

        return view();
    }


    /**
     * @notes 导出积分明细Excel
     * @return \think\response\Json
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     * @author 段誉
     * @date 2022/4/24 10:20
     */
    public function export()
    {
        $params = $this->request->get();
        $result = IntegralLogic::integral($params, true);
        if(false === $result) {
            return JsonServer::error(IntegralLogic::getError() ?: '导出失败');
        }
        return JsonServer::success('', $result);
    }
}