<?php
/*
 * @Author: ZMH
 * @Email: zmhwork@qq.com
 * @Date: 2025-03-13 11:45:32
 * @LastEditTime: 2025-03-13 17:37:36
 * @LastEditors: ZMH
 * @FilePath: \opkpm\app\admin\controller\shop\GoodsRenew.php
 * 
 * @Description: 续费模块
 */
namespace app\admin\controller\shop;


use app\admin\logic\shop\GoodsRenewLogic;
use app\common\basics\AdminBase;
use app\common\server\JsonServer;


class GoodsRenew extends AdminBase
{
    public function lists()
    {
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $lists = GoodsRenewLogic::lists($get);
            return JsonServer::success('获取成功', $lists);
        }
        
        return view();
    }

    public function add()
    {
        if ($this->request->isAjax()) {

            $post = $this->request->post();
            $res = GoodsRenewLogic::add($post);
            if ($res === false) {
                $error = GoodsRenewLogic::getError() ?: '操作失败';
                return JsonServer::error($error);
            }
            return JsonServer::success('操作成功');
        }

        return view();
    }

    public function edit()
    {
        if ($this->request->isAjax()) {
            $post = $this->request->post();
            
            $res = GoodsRenewLogic::edit($post);
            if ($res === false) {
                $error = GoodsRenewLogic::getError() ?: '操作失败';
                return JsonServer::error($error);
            }
            return JsonServer::success('操作成功');
        }

        $id = $this->request->get('id');
        return view('', [
            'detail' => GoodsRenewLogic::detail($id)
        ]);
    }

    public function del()
    {
        if ($this->request->isAjax()) {
            $id = $this->request->post('id');
            $res = GoodsRenewLogic::del($id);
            if ($res === false) {
                $error = GoodsRenewLogic::getError() ?: '操作失败';
                return JsonServer::error($error);
            }
            return JsonServer::success('操作成功');
        }

        return JsonServer::error('请求异常');
    }
}