<?php
// +----------------------------------------------------------------------
// | likeshop开源商城系统
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | gitee下载：https://gitee.com/likeshop_gitee
// | github下载：https://github.com/likeshop-github
// | 访问官网：https://www.likeshop.cn
// | 访问社区：https://home.likeshop.cn
// | 访问手册：http://doc.likeshop.cn
// | 微信公众号：likeshop技术社区
// | likeshop系列产品在gitee、github等公开渠道开源版本可免费商用，未经许可不能去除前后端官方版权标识
// |  likeshop系列产品收费版本务必购买商业授权，购买去版权授权后，方可去除前后端官方版权标识
// | 禁止对系统程序代码以任何目的，任何形式的再发布
// | likeshop团队版权所有并拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeshop.cn.team
// +----------------------------------------------------------------------


namespace app\admin\logic\goods;


use app\common\basics\Logic;
use app\common\model\goods\GoodsBrand;


/**
 * 商品品牌
 * Class GoodsBrandLogic
 * @package app\admin\logic
 */
class BrandLogic extends Logic
{

    /**
     * Notes: 列表
     * @param $get
     * @author 段誉(2021/4/15 10:53)
     * @return array
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     */
    public static function lists($get)
    {
        $where[] = ['del', '=', 0];
        if(isset($get['name']) && $get['name']) {
            $where[] = ['name','like','%'.$get['name'].'%'];
        }

        $lists = GoodsBrand::where($where)
            ->order('sort')
            ->paginate([
                'list_rows'=> $get['limit'],
                'page'=> $get['page'],
            ]);
        return ['count' => $lists->total(), 'lists' => $lists->getCollection()];
    }


    /**
     * Notes: 添加
     * @param $post
     * @return GoodsBrand|\think\Model
     *@author 段誉(2021/4/15 10:54)
     */
    public static function add($post)
    {
        return GoodsBrand::create([
            'name'     => $post['name'],
            'initial'  => $post['initial'],
            'image'    => $post['image'] ?? '',
            'sort'     => $post['sort'] ?? 100,
            'is_show'  => $post['is_show'],
            'remark'   => $post['remark'] ?? '',
        ]);
    }


    /**
     * Notes: 编辑
     * @param $post
     * @return GoodsBrand
     *@author 段誉(2021/4/15 10:54)
     */
    public static function edit($post)
    {
        return GoodsBrand::update([
            'name'     => $post['name'],
            'initial'  => $post['initial'],
            'image'    => $post['image'] ?? '',
            'sort'     => $post['sort'] ?? 100,
            'is_show'  => $post['is_show'],
            'remark'   => $post['remark'] ?? '',
        ], ['id' => $post['id']]);
    }


    /**
     * Notes: 删除
     * @param $id
     * @return GoodsBrand
     *@author 段誉(2021/4/15 10:54)
     */
    public static function del($id)
    {
        return GoodsBrand::update(['del' => 1], ['id' => $id]);
    }

}