<?php
// +----------------------------------------------------------------------
// | likeshop开源商城系统
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | gitee下载：https://gitee.com/likeshop_gitee
// | github下载：https://github.com/likeshop-github
// | 访问官网：https://www.likeshop.cn
// | 访问社区：https://home.likeshop.cn
// | 访问手册：http://doc.likeshop.cn
// | 微信公众号：likeshop技术社区
// | likeshop系列产品在gitee、github等公开渠道开源版本可免费商用，未经许可不能去除前后端官方版权标识
// |  likeshop系列产品收费版本务必购买商业授权，购买去版权授权后，方可去除前后端官方版权标识
// | 禁止对系统程序代码以任何目的，任何形式的再发布
// | likeshop团队版权所有并拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeshop.cn.team
// +----------------------------------------------------------------------

namespace app\admin\logic\shop;


use app\common\basics\Logic;
use app\common\enum\TreatyEnum;
use app\common\model\Treaty;

class TreatyLogic extends Logic
{
    /**
     * NOTE: 设置入驻协议
     * @author: 张无忌
     * @param $post
     * @return bool
     */
    public static function set($post)
    {
        try {
            $treaty = Treaty::where(['type'=>TreatyEnum::SHOP_ENTER_TYPE])->findOrEmpty();
            $time = time();
            if($treaty->isEmpty()) { // 新增
                $addData = [
                    'name' => '入驻协议',
                    'content' => $post['content'] ?? '',
                    'type' => TreatyEnum::SHOP_ENTER_TYPE,
                    'create_time' => $time,
                    'update_time' => $time
                ];
                Treaty::create($addData);
            }else{ // 更新
                Treaty::update([
                    'name'    => '入驻协议',
                    'content' => $post['content'] ?? '',
                    'update_time' => $time
                ], ['type'=>TreatyEnum::SHOP_ENTER_TYPE]);
            }
            return true;
        } catch (\Exception $e) {
            static::$error = $e->getMessage();
            return false;
        }
    }

    /**
     * NOTE: 获取协议详细
     * @author: 张无忌
     * @return array
     */
    public static function detail()
    {
        $model = new Treaty();
        return $model->field(true)
            ->where(['type'=>TreatyEnum::SHOP_ENTER_TYPE])
            ->findOrEmpty()->toArray();
    }
}