<?php
// +----------------------------------------------------------------------
// | likeshop开源商城系统
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | gitee下载：https://gitee.com/likeshop_gitee
// | github下载：https://github.com/likeshop-github
// | 访问官网：https://www.likeshop.cn
// | 访问社区：https://home.likeshop.cn
// | 访问手册：http://doc.likeshop.cn
// | 微信公众号：likeshop技术社区
// | likeshop系列产品在gitee、github等公开渠道开源版本可免费商用，未经许可不能去除前后端官方版权标识
// |  likeshop系列产品收费版本务必购买商业授权，购买去版权授权后，方可去除前后端官方版权标识
// | 禁止对系统程序代码以任何目的，任何形式的再发布
// | likeshop团队版权所有并拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeshop.cn.team
// +----------------------------------------------------------------------
namespace app\admin\validate\decoration;
use app\common\basics\Validate;
use think\facade\Db;

class AdPositionValidate extends Validate{
    protected $rule = [
        'id'        => 'require|checkAd',
        'name'      => 'require|unique:ad_position,name^del',
    ];

    protected $message = [
        'id.require'        => '请选择广告位',
        'unique.require'    => '请输入广告位名称',
        'name.unique'       => '广告位名称已存在',
    ];

    public function sceneAdd()
    {
        return $this->remove('id', ['require','checkAd']);
    }

    public function sceneEdit()
    {
        return $this->remove('id', ['checkAd']);
    }

    public function sceneDel(){
        return $this->only(['id']);
    }


    public function sceneSwtich(){
        return $this->only(['id'])
                    ->remove('id',['checkAd']);
    }

    public function checkAd($value,$rule,$data){
        $ad_position = Db::name('ad_position')
                ->where(['id'=>$value,'del'=>0])
                ->find();

        if(empty($ad_position)) {
            return '广告位已被删除';
        }

        if(0 == $ad_position['attr']){
            return '系统默认广告位不允许删除';
        }

        $ad = Db::name('ad')
                ->where(['pid'=>$value,'del'=>0])
                ->find();

        if($ad){
            return '该广告位已被使用';
        }
        return true;
    }
}