<?php
// +----------------------------------------------------------------------
// | likeshop开源商城系统
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | gitee下载：https://gitee.com/likeshop_gitee
// | github下载：https://github.com/likeshop-github
// | 访问官网：https://www.likeshop.cn
// | 访问社区：https://home.likeshop.cn
// | 访问手册：http://doc.likeshop.cn
// | 微信公众号：likeshop技术社区
// | likeshop系列产品在gitee、github等公开渠道开源版本可免费商用，未经许可不能去除前后端官方版权标识
// |  likeshop系列产品收费版本务必购买商业授权，购买去版权授权后，方可去除前后端官方版权标识
// | 禁止对系统程序代码以任何目的，任何形式的再发布
// | likeshop团队版权所有并拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeshop.cn.team
// +----------------------------------------------------------------------
namespace app\admin\validate\decoration;
use app\common\basics\Validate;
use think\facade\Db;

class AdValidate extends Validate{
    protected $rule = [
        'id'            => 'require',
        'title'         => 'require|unique:ad,title^del^terminal',
        'pid'           => 'require|checkPid|checkCategory',
        'image'         => 'require',

    ];

    protected $message = [
        'id.require'        => '请选择广告',
        'title.require'     => '请输入广告名称',
        'title.unique'      => '广告名称已存在',
        'pid.require'       => '请选择广告位',
        'image.require'     => '请上传广告图',
    ];


    public function sceneAdd(){
        return $this->remove('id',['require']);
    }

    public function sceneDel(){
        return $this->only(['id']);
    }

    public function sceneSwtich(){
        return $this->only(['id']);
    }

    public function checkPid($value,$rule,$data){
        $ad_position = Db::name('ad_position')
                    ->where(['id'=>$value,'del'=>0])
                    ->find();

        if(empty($ad_position)){
            return '广告位不存在';
        }



        return true;
    }

    public function checkCategory($value,$rule,$data){
        //选择了分类广告位，验证分类
        if(in_array($value,[3,4])){

            if(empty($data['category_id'])){
                return '请选择商品分类';
            }
            $category = Db::name('goods_category')
                ->where(['id'=>$data['category_id'],'del'=>0])
                ->find();

            if(empty($category)){
                return '商品分类不存在';
            }
        }

        return true;
    }



}