<?php
// +----------------------------------------------------------------------
// | likeshop开源商城系统
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | gitee下载：https://gitee.com/likeshop_gitee
// | github下载：https://github.com/likeshop-github
// | 访问官网：https://www.likeshop.cn
// | 访问社区：https://home.likeshop.cn
// | 访问手册：http://doc.likeshop.cn
// | 微信公众号：likeshop技术社区
// | likeshop系列产品在gitee、github等公开渠道开源版本可免费商用，未经许可不能去除前后端官方版权标识
// |  likeshop系列产品收费版本务必购买商业授权，购买去版权授权后，方可去除前后端官方版权标识
// | 禁止对系统程序代码以任何目的，任何形式的再发布
// | likeshop团队版权所有并拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeshop.cn.team
// +----------------------------------------------------------------------
namespace app\admin\validate\decoration;
use app\common\basics\Validate;
use app\common\enum\MenuEnum;

class MenuDecorateValidate extends Validate{
    protected $rule = [
        'id'        => 'require',
        'name'      => 'require|unique:menu_decorate,name^del^decorate_type',
        'image'     => 'require',
        'menu'      => 'checkMenu',
        'sort'      => 'integer|gt:0'
    ];
    protected $message = [
        'id.require'        => '请选择菜单',
        'name.require'      => '请输入菜单名称',
        'name.unique'       => '菜单名称重复',
        'image.unique'      => '请上传图标',
        'sort.integer'      => '排序值须为整型',
        'sort.gt'      => '排序值须大于0',
    ];

    public function sceneAdd(){
        return $this->remove('id',['require']);
    }

    public function sceneEdit(){
        return $this->remove('id',['require']);
    }

    public function sceneDel(){
        return $this->only(['id']);
    }

    public function sceneSwtich(){
        return $this->only(['id']);
    }

    public function checkMenu($value,$rule,$data){
        if( 1 == $data['link_type']){
            $menu_list = MenuEnum::INDEX;

            if(2 == $data['type']){
                $menu_list = MenuEnum::CENTRE;
            }
            $menu_index = array_column($menu_list,'index');

            if(!in_array($value,$menu_index)) {
                return '菜单不存在';
            }

        }else{
            if(empty($value)){
                return '请输入自定义链接';
            }

        }

        return true;
    }
}
