<?php
// +----------------------------------------------------------------------
// | likeshop开源商城系统
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | gitee下载：https://gitee.com/likeshop_gitee
// | github下载：https://github.com/likeshop-github
// | 访问官网：https://www.likeshop.cn
// | 访问社区：https://home.likeshop.cn
// | 访问手册：http://doc.likeshop.cn
// | 微信公众号：likeshop技术社区
// | likeshop系列产品在gitee、github等公开渠道开源版本可免费商用，未经许可不能去除前后端官方版权标识
// |  likeshop系列产品收费版本务必购买商业授权，购买去版权授权后，方可去除前后端官方版权标识
// | 禁止对系统程序代码以任何目的，任何形式的再发布
// | likeshop团队版权所有并拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeshop.cn.team
// +----------------------------------------------------------------------

namespace app\admin\validate\goods;


use app\common\basics\Validate;
use app\common\model\goods\Goods;


/**
 * 商品品牌
 * Class GoodsBrandValidate
 * @package app\admin\validate
 */
class BrandValidate extends Validate
{

    protected $rule = [
        'id'        => 'require',
        'name'      => 'require|unique:goodsBrand,name&del',
        'initial'   => 'require',
        'image'     => 'require'
    ];

    protected $message = [
        'id.require'        => '参数缺失',
        'name.require'      => '参数缺失',
        'name.unique'       => '该名称已被使用',
        'initial.unique'    => '请选择品牌首字母',
        'image.require'     => '请选择品牌图片',
    ];

    protected $scene = [
        'add'  =>  ['name', 'initial', 'image'],
        'edit' =>  ['id','name', 'initial', 'image'],
    ];

    public function sceneDel()
    {
        return $this->only(['id'])
        ->append('id','checkDel');
    }


    protected function checkDel($value,$rule,$data)
    {
        $check = Goods::where('brand_id', $value)->find();
        if ($check) {
            return '品牌已经关联商品，无法删除品牌';
        }
        return true;
    }
}