<?php
// +----------------------------------------------------------------------
// | likeshop开源商城系统
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | gitee下载：https://gitee.com/likeshop_gitee
// | github下载：https://github.com/likeshop-github
// | 访问官网：https://www.likeshop.cn
// | 访问社区：https://home.likeshop.cn
// | 访问手册：http://doc.likeshop.cn
// | 微信公众号：likeshop技术社区
// | likeshop系列产品在gitee、github等公开渠道开源版本可免费商用，未经许可不能去除前后端官方版权标识
// |  likeshop系列产品收费版本务必购买商业授权，购买去版权授权后，方可去除前后端官方版权标识
// | 禁止对系统程序代码以任何目的，任何形式的再发布
// | likeshop团队版权所有并拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeshop.cn.team
// +----------------------------------------------------------------------

namespace app\admin\validate\shop;


use app\common\basics\Validate;
use app\common\model\shop\Shop;

/**
 * 商家状态验证(营业状态，冻结状态)
 * Class StoreStatusValidate
 * @package app\admin\validate\shop
 */
class StoreStatusValidate extends Validate
{
    protected $rule = [
        'ids'               => 'require',
        'field'             => 'require|checkField',
        'value'             => 'require|in:0,1',
    ];

    protected $message = [
        'ids.require'       => 'id不可为空',
        'ids.number'        => 'id必须为数字',
        'field.require'     => '参数缺失',
        'value.require'     => '参数缺失',
        'value.in'          => '参数错误',
    ];

    /**
     * @notes 验证字段
     * @param $value
     * @param $rule
     * @param $data
     * @return bool|string
     * @author 段誉
     * @date 2022/3/17 10:40
     */
    public function checkField($value, $rule, $data)
    {
        $checArr = ['is_run', 'is_freeze'];

        if (!in_array($value, $checArr)) {
            return '参数错误';
        }

        return true;
    }

}

